Subject: Re: [PATCH 1/1] Honor $(prefix) set in config.mak* when defining ETC_GIT* and sysconfdir

From: Johannes Sixt <[email-masked]>
Date: Fri, 06 May 2011 09:03:41 +0200

Am 5/5/2011 18:17, schrieb Junio C Hamano:
> The point of this approach is to make a progress without regressing, and
> the (minimum) progress needed to be made that comes from the beginning of
> this discussion is that setting $(prefix) from the command line of make
> works but it does not when it is set in config.mak (or config.mak.autogen
> which in turn is added by running "./configure --prefix=...").

Ah! That's a piece of informatin that I was missing.

To fix that, wouldn't it have been sufficient to just move the
ifeq($(prefix),/usr) conditional past -include config.mak, without any
other changes?

(But I'm mostly clueless about when which make variables from what source
override what.)

-- Hannes